Package org.eclipse.cdt.core.parser

# Enum Class ParseError.ParseErrorKind

java.lang.Object
java.lang.Enum<ParseError.ParseErrorKind>
org.eclipse.cdt.core.parser.ParseError.ParseErrorKind

All Implemented Interfaces:
  `Serializable`, `Comparable<ParseError.ParseErrorKind>`, `java.lang.constant.Constable`

Enclosing class:
  ParseError

public static enum ParseError.ParseErrorKind extends Enum<ParseError.ParseErrorKind>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`METHOD_NOT_IMPLEMENTED`
`OFFSET_RANGE_NOT_NAME`
`OFFSETDUPLE_UNREACHABLE`
`TIMEOUT_OR_CANCELLED`
`TOO_MANY_TOKENS`
The user preference for `CCorePreferenceConstants.SCALABILITY_LIMIT_TOKENS_PER_TU` is enabled and more than `CCorePreferenceConstants.SCALABILITY_MAXIMUM_TOKENS` tokens were created while parsing a single translation unit.

## Method Summary

Modifier and Type
Method
Description
`static ParseError.ParseErrorKind`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ParseError.ParseErrorKind[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### METHOD_NOT_IMPLEMENTED

public static final ParseError.ParseErrorKind METHOD_NOT_IMPLEMENTED

### OFFSETDUPLE_UNREACHABLE

public static final ParseError.ParseErrorKind OFFSETDUPLE_UNREACHABLE

### OFFSET_RANGE_NOT_NAME

public static final ParseError.ParseErrorKind OFFSET_RANGE_NOT_NAME

### TIMEOUT_OR_CANCELLED

public static final ParseError.ParseErrorKind TIMEOUT_OR_CANCELLED

### TOO_MANY_TOKENS

public static final ParseError.ParseErrorKind TOO_MANY_TOKENS
The user preference for `CCorePreferenceConstants.SCALABILITY_LIMIT_TOKENS_PER_TU` is enabled and more than `CCorePreferenceConstants.SCALABILITY_MAXIMUM_TOKENS` tokens were created while parsing a single translation unit.

Since:
  5.7

## Method Details

### values

public static ParseError.ParseErrorKind[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ParseError.ParseErrorKind valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null